Updates Tool Configuration
PUT /api/v1/tools/{id}
Updates the configuration for a specific tool by its ID.
Authentication: Bearer token required (Authorization: Bearer <token>)
Permission: Permissions.TOOLS_TOOL_UPDATE
Request
Path Parameters
Parameter
Type
Required
Description
id
string
Yes
Tool ID (MongoDB ObjectId)
Request Body
{
"name": "Updated Tool Name",
"description": "Updated description",
"config": {
"blockType": "tool",
"children": []
}
}Field
Type
Required
Description
name
string
Yes
Human-readable name of the tool
description
string
No
Brief description of the tool's purpose
config
object
Yes
Tool configuration object; blockType must be "tool"
Response
Success Response
Status: 201 Created
Error Responses
Status
Description
401 Unauthorized
Missing or invalid token
403 Forbidden
Insufficient permissions
422 Unprocessable Entity
id is missing, or tool config is invalid
500 Internal Server Error
Unexpected server failure
Last updated
Was this helpful?